Subject: Ticket Assigned - late delivery / 9560678348
From: Home Box <[email-masked]>
To: [email-masked]
Date: Sat, 12 Mar 2022 10:49:25 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  late delivery / 9560678348 Wasi                    Hi           02:37 PM, 12th Mar                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           02:37 PM, 12th Mar                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            02:37 PM, 12th Mar                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           02:37 PM, 12th Mar                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            02:37 PM, 12th Mar                     Wasi                    9560678348           02:38 PM, 12th Mar                     Wasi                    Still undelivered           02:38 PM, 12th Mar                     Wasi                    No one contacted me           02:38 PM, 12th Mar                   New                   We are experiencing high volume of incoming messages. Please make sure you've described your query in detail. Please be sure to include your Order Number/Invoice number or details of the item you are inquiring about.            02:39 PM, 12th Mar                   New                   If you have any pictures that you would like to share, please do that.            02:39 PM, 12th Mar                   New                   We will respond to your query in just a few minutes. Please accept our apologies for the delay. Thank you for your patience           02:39 PM, 12th Mar                   Ahmed                   Kindly allow me few moments so I can check the details of the order            02:40 PM, 12th Mar                   Ahmed                   Can you share your active contact number with us please.           02:42 PM, 12th Mar                     Wasi                    0553476502           02:43 PM, 12th Mar                   Ahmed                   thank you for sharing your contact number with us, I've just checked the order. We've escalated your request to the courier team. It does take some time for them to process and action this. Kindly bear with us. As soon as we get an update, I will provide you with the resolution.           02:46 PM, 12th Mar                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4012225